### Method

# FwupdPlugin FdtImage get_attr_u32

#### Declaration [src]

    gboolean
    fu_fdt_image_get_attr_u32 (
      FuFdtImage* self,
      const gchar* key,
      guint32* val,
      GError** error
    )

#### Description [src]

Gets a uint32 attribute from the image.

Available since: | 1.8.2

#### Parameters

`key` | `const gchar*`
| String, e.g. `creator`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`val` | `guint32*`
| Value.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if `val` was set.